Odoo 13 Full Accounting Kit

by ,
Odoo 2
v 13.0 Third Party 488
Download for 13.0 series Deploy on Odoo.sh
You bought this module and need support ? Click here !
Technical name base_accounting_kit
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Required Apps Invoicing (account)
Sales (sale)
Included Dependencies
Technical name base_accounting_kit
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Required Apps Invoicing (account)
Sales (sale)
Included Dependencies
Odoo 13 Accounting,Accounting Reports, Odoo 13 Accounting PDF Reports, Asset Management, Budget Management, Customer Credit Limit, Recurring Payment, PDC Management, Customer Follow-up, Lock Dates into Odoo 13 Community Edition, Odoo Accounting,Odoo 13 Accounting Reports,Odoo 13,, Full Accounting, Complete Accounting, Odoo Community Accounting, Accounting for odoo 13, Full Accounting Package, Financial Reports, Financial Report for Odoo 13

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Odoo
Error at Register payment in vendor bills
by on

Error: Odoo Server Error Traceback (most recent call last): File "C:\Program Files\Odoo 13.0\server\odoo\http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files\Odoo 13.0\server\odoo\http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "C:\Program Files\Odoo 13.0\server\odoo\tools\pycompat.py", line 14, in reraise raise value File "C:\Program Files\Odoo 13.0\server\odoo\http.py", line 664, in dispatch result = self._call_function(**self.params) File "C:\Program Files\Odoo 13.0\server\odoo\http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files\Odoo 13.0\server\odoo\service\model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files\Odoo 13.0\server\odoo\http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files\Odoo 13.0\server\odoo\http.py", line 909, in __call__ return self.method(*args, **kw) File "C:\Program Files\Odoo 13.0\server\odoo\http.py", line 510, in response_wrap response = f(*args, **kw) File "C:\Program Files\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1238, in call_kw return self._call_kw(model, method, args, kwargs) File "C:\Program Files\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1230, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files\Odoo 13.0\server\odoo\api.py", line 406, in call_kw result = _call_kw_model(method, model, args, kwargs) File "C:\Program Files\Odoo 13.0\server\odoo\api.py", line 379, in _call_kw_model result = method(recs, *args, **kwargs) File "C:\Program Files\Odoo 13.0\server\odoo\models.py", line 1380, in load_views for [v_id, v_type] in views File "C:\Program Files\Odoo 13.0\server\odoo\models.py", line 1380, in for [v_id, v_type] in views File "C:\Program Files\Odoo 13.0\server\odoo\addons\mail\models\mail_thread.py", line 411, in fields_view_get res = super(MailThread, self).fields_view_get(view_id=view_id, view_type=view_type, toolbar=toolbar, submenu=submenu) File "C:\Program Files\Odoo 13.0\server\odoo\addons\web\models\models.py", line 203, in fields_view_get r = super().fields_view_get(view_id, view_type, toolbar, submenu) File "C:\Program Files\Odoo 13.0\server\odoo\models.py", line 1466, in fields_view_get xarch, xfields = View.postprocess_and_fields(self._name, etree.fromstring(result['arch']), view_id) File "C:\Program Files\Odoo 13.0\server\odoo\addons\base\models\ir_ui_view.py", line 957, in postprocess_and_fields self.raise_view_error(message, view_id) File "C:\Program Files\Odoo 13.0\server\odoo\addons\base\models\ir_ui_view.py", line 590, in raise_view_error raise ValueError(message) ValueError: Field `effective_date` does not exist Error context: View `account.payment.invoice.form` [view_id: 891, xml_id: account.view_account_payment_invoice_form, model: account.payment, parent_id: 888]


Odoo
I get error when getting General Ledger report
by on

Error: Odoo Server Error Traceback (most recent call last): File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 331, in _compiled_fn return compiled(self, append, new, options, log) File "", line 1, in template_base_accounting_kit_report_general_ledger_97 File "", line 2, in body_call_content_95 File "", line 6, in body_call_content_93 File "", line 57, in foreach_92 File "", line 75, in foreach_91 TypeError: '>' not supported between instances of 'NoneType' and 'float' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/odoo/odoo-server/addons/web/controllers/main.py", line 2022, in report_download response = self.report_routes(reportname, converter=converter, context=context, **data) File "/odoo/odoo-server/odoo/http.py", line 510, in response_wrap response = f(*args, **kw) File "/odoo/odoo-server/addons/web/controllers/main.py", line 1953, in report_routes pdf = report.with_context(context).render_qweb_pdf(docids, data=data)[0] File "/odoo/odoo-server/odoo/addons/base/models/ir_actions_report.py", line 715, in render_qweb_pdf html = self.with_context(context).render_qweb_html(res_ids, data=data)[0] File "/odoo/odoo-server/odoo/addons/base/models/ir_actions_report.py", line 755, in render_qweb_html return self.render_template(self.report_name, data), 'html' File "/odoo/odoo-server/odoo/addons/base/models/ir_actions_report.py", line 541, in render_template return view_obj.render_template(template, values) File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 1149, in render_template return self.browse(self.get_view_id(template)).render(values, engine) File "/odoo/odoo-server/addons/website/models/ir_ui_view.py", line 335, in render return super(View, self).render(values, engine=engine, minimal_qcontext=minimal_qcontext) File "/odoo/odoo-server/addons/web_editor/models/ir_ui_view.py", line 25, in render return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext) File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 1157, in render return self.env[engine].render(self.id, qcontext) File "/odoo/odoo-server/odoo/addons/base/models/ir_qweb.py", line 58, in render result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context) File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 259, in render self.compile(template, options)(self, body.append, values or {}) File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 338, in _compiled_fn raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name) odoo.addons.base.models.qweb.QWebException: '>' not supported between instances of 'NoneType' and 'float' Traceback (most recent call last): File "/odoo/odoo-server/odoo/addons/base/models/qweb.py", line 331, in _compiled_fn return compiled(self, append, new, options, log) File "", line 1, in template_base_accounting_kit_report_general_ledger_97 File "", line 2, in body_call_content_95 File "", line 6, in body_call_content_93 File "", line 57, in foreach_92 File "", line 75, in foreach_91 TypeError: '>' not supported between instances of 'NoneType' and 'float' Error to render compiling AST TypeError: '>' not supported between instances of 'NoneType' and 'float' Template: base_accounting_kit.report_general_ledger Path: /t/t/t[4]/div/table/tbody/t/tr[2]/td[10]/span[1] Node:

Odoo
Re: I get error when getting General Ledger report
by on

Hello, Thanks for reporting, We have fixed this issue. Please get a latest copy


Odoo
Error
by on

Error: Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 14, in reraise raise value File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 664, in dispatch result = self._call_function(**self.params) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\service\model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 909, in __call__ return self.method(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 510, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1323, in call_button action = self._call_kw(model, method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1311, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 411, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 398, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 420, in load_modules loaded_modules, update_module, models_to_check) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 312, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 195, in load_module_graph registry.init_models(cr, model_names, {'module': package.name}) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 325, in init_models self.check_tables_exist(cr) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 341, in check_tables_exist env[name].init() File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\om_account_asset\report\account_asset_report.py", line 68, in init )""") File "C:\Program Files (x86)\Odoo 13.0\server\odoo\sql_db.py", line 163, in wrapper return f(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\sql_db.py", line 240, in execute res = self._obj.execute(query, params) psycopg2.errors.UndefinedTable: relation "account_asset_depreciation_line" does not exist LINE 30: from account_asset_depreciation_line dl ^

Odoo
Re: Error
by on

You are at wrong place :) Please post here: https://apps.odoo.com/apps/modules/13.0/om_account_accountant/


Odoo
Error
by on

Great, Recurring Payments work fine But the other problem still exists Could not execute command 'lessc'This error occured while compiling the bundle 'web.assets_backend' containing:
 - /web/static/lib/bootstrap/scss/_functions.scss
 - /web/static/lib/bootstrap/scss/_mixins.scss
 - /web/static/src/scss/bs_mixins_overrides.scss
 - /web/static/src/scss/utils.scss
 - /web/static/src/scss/primary_variables.scss
 - /web_editor/static/src/scss/web_editor.variables.scss
 - /mail/static/src/scss/variables.scss
 - /portal/static/src/scss/primary_variables.scss
 - /account/static/src/scss/variables.scss
 - /web_editor/static/src/scss/secondary_variables.scss
 - /web/static/src/scss/secondary_variables.scss
 - /web_editor/static/src/scss/bootstrap_overridden_backend.scss
 - /web_editor/static/src/scss/bootstrap_overridden.scss
 - /web/static/src/scss/bootstrap_overridden.scss
 - /web/static/lib/bootstrap/scss/_variables.scss
 - /web/static/src/scss/import_bootstrap.scss
 - /web/static/src/scss/bootstrap_review.scss
 - /web/static/src/scss/webclient_extra.scss
 - /web/static/src/scss/webclient_layout.scss
 - /web/static/src/scss/webclient.scss
 - /web/static/src/scss/domain_selector.scss
 - /web/static/src/scss/model_field_selector.scss
 - /web/static/src/scss/...

Odoo
Re: Error
by on

Sorry for the inconvenience, Its coming only in windows, we are trying to fix it


Odoo
Error
by on

Hello.. The problem is in the latest version, I downloaded it yesterday

Odoo
Re: Error
by on

Sorry, The word 'Already' came in accidentally. It is fixed after you reported.


Odoo
Recurring Payments
by on

Error Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 14, in reraise raise value File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 664, in dispatch result = self._call_function(**self.params) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\service\model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 909, in __call__ return self.method(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 510, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1323, in call_button action = self._call_kw(model, method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1311, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 395, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 382, in _call_kw_multi result = method(recs, *args, **kwargs) File "d:\app\base_accounting_kit\wizard\recurring_payments.py", line 123, in generate_payment move_id = self.env['account.move'].create(vals) File "", line 2, in create File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 343, in _model_create_multi return create(self, [arg]) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\purchase\models\account_invoice.py", line 74, in create moves = super(AccountMove, self).create(vals_list) File "", line 2, in create File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 344, in _model_create_multi return create(self, arg) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\account\models\account_move.py", line 1507, in create moves = super(AccountMove, self).create(vals_list) File "", line 2, in create File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 344, in _model_create_multi return create(self, arg) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\mail\models\mail_thread.py", line 269, in create threads = super(MailThread, self).create(vals_list) File "", line 2, in create File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 344, in _model_create_multi return create(self, arg) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\models.py", line 3664, in create raise ValueError("Invalid field %r on model %r" % (key, self._name)) ValueError: Invalid field 'is_active' on model 'account.move'

Odoo
Re: Recurring Payments
by on

Hello, Thanks for reporting, We have already fixed this issue. Please get a latest copy


Odoo
Style error
by on

Could not execute command 'lessc'This error occured while compiling the bundle 'web.assets_backend' containing:
 - /web/static/lib/bootstrap/scss/_functions.scss
 - /web/static/lib/bootstrap/scss/_mixins.scss
 - /web/static/src/scss/bs_mixins_overrides.scss
 - /web/static/src/scss/utils.scss
 - /web/static/src/scss/primary_variables.scss
 - /web_editor/static/src/scss/web_editor.variables.scss
 - /mail/static/src/scss/variables.scss
 - /portal/static/src/scss/primary_variables.scss
 - /account/static/src/scss/variables.scss
 - /web_editor/static/src/scss/secondary_variables.scss
 - /web/static/src/scss/secondary_variables.scss
 - /web_editor/static/src/scss/bootstrap_overridden_backend.scss
 - /web_editor/static/src/scss/bootstrap_overridden.scss
 - /web/static/src/scss/bootstrap_overridden.scss
 - /web/static/lib/bootstrap/scss/_variables.scss
 - /web/static/src/scss/import_bootstrap.scss
 - /web/static/src/scss/bootstrap_review.scss
 - /web/static/src/scss/webclient_extra.scss
 - /web/static/src/scss/webclient_layout.scss
 - /web/static/src/scss/webclient.scss
 - /web/static/src/scss/domain_selector.scss
 - /web/static/src/scss/model_field_selector.scss
 - /web/static/src/scss/...


Odoo
Style error
by on

After installation,The following error is displayed: 1、Could not get content for /om_account_asset/static/src/scss/account_asset.scss defined in bundle 'web.assets_backend'. 2、Style error The style comlilation failed,see the error below.Your recent actions may be the cause,please try reverting the changes you made. Could not get content for /om_account_asset/static/src/scss/account_asset.scss defined in bundle 'web.assets_backend'.

Odoo
Re: Style error
by on

Hello, Thanks for reporting, We have already fixed this issue. Please get a latest copy


Odoo
Good work but there error below keeps poping up
by on

Could not get content for /om_account_asset/static/src/scss/account_asset.scss defined in bundle 'web.assets_backend'.

Odoo
Re: Good work but there error below keeps poping up
by on

Thanks for reporting. Corrected